### Property

# Adw Animation:state

since: 1

#### Declaration

    property state: Adw.AnimationState [ read ]

#### Description [src]

The animation state.

The state indicates whether the animation is currently playing, paused, finished or hasn’t been started yet.

Type: | `AdwAnimationState`
Available since: | 1

Default value | ADW_ANIMATION_IDLE
Getter method | `adw_animation_get_state()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no